Package it.ernytech.tdlib

## Class TdApi.Users

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Users

Enclosing class:
  TdApi

    public static class TdApi.Users
    extends TdApi.Object

Represents a list of users.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `totalCount` Approximate total count of users found.
`int[]` `userIds` A list of user identifiers.

### Constructor Summary

Constructors
`Users()` Default constructor.
`Users​(int totalCount, int[] userIds)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### totalCount

    public int totalCount

Approximate total count of users found.

#### userIds

    public int[] userIds

A list of user identifiers.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### Users

    public Users()

Default constructor.

#### Users

    public Users​(int totalCount,
                 int[] userIds)

Constructor for initialization of all fields.

Parameters:
  `totalCount` - Approximate total count of users found.
  `userIds` - A list of user identifiers.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR